GET openapi/students/{userIdentifier}/profile
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated territory has access to center which matches identifier given in "centerId" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
Body Parameters
None.
Response Information
Resource Description
PearsonEnglish.LearningServices.Core.Models.Views.StudentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| UserName | string |
None. |
|
| StudentCode | string |
None. |
|
| Gender | PearsonEnglish.LearningServices.Core.Models.Enums.Gender |
None. |
|
| NativeLanguageId | globally unique identifier |
None. |
|
| SecondaryLanguageId | globally unique identifier |
None. |
|
| PersonalMotivationId | globally unique identifier |
None. |
|
| NationalityId | globally unique identifier |
None. |
|
| ProfessionId | globally unique identifier |
None. |
|
| NativeLanguage | string |
None. |
|
| SecondaryLanguage | string |
None. |
|
| PersonalMotivation | string |
None. |
|
| Nationality | string |
None. |
|
| Profession | string |
None. |
|
| SocialNetworkId1 | globally unique identifier |
None. |
|
| SocialNetworkId2 | globally unique identifier |
None. |
|
| SocialNetworkId3 | globally unique identifier |
None. |
|
| SocialNetworkId4 | globally unique identifier |
None. |
|
| ConsultantId | globally unique identifier |
None. |
|
| CenterId | globally unique identifier |
None. |
|
| CenterName | string |
None. |
|
| CenterReferenceId | string |
None. |
|
| ConsultantFullName | string |
None. |
|
| ConsultantPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| LabTeacherId | globally unique identifier |
None. |
|
| LabTeacherFullName | string |
None. |
|
| LabTeacherPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| IsAycl | boolean |
None. |
|
| Birthdate | date |
None. |
|
| About_Me | string |
None. |
|
| Interest_hobbies | string |
None. |
|
| Why_study_english | Collection of string |
None. |
|
| Study_reason | string |
None. |
|
| UserId | globally unique identifier |
None. |
|
| tempisNewStudent | boolean |
None. |
|
| LastName | string |
None. |
|
| FirstName | string |
None. |
|
| SsdsId | string |
None. |
|
| StudentId | integer |
None. |
|
| PhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| SocialNetworkAddress1 | string |
None. |
|
| SocialNetworkAddress2 | string |
None. |
|
| SocialNetworkAddress3 | string |
None. |
|
| SocialNetworkAddress4 | string |
None. |
|
| SocialNetwork1 | string |
None. |
|
| SocialNetwork2 | string |
None. |
|
| SocialNetwork3 | string |
None. |
|
| SocialNetwork4 | string |
None. |
|
| string |
None. |
||
| MobileTelephone | string |
None. |
|
| HomeTelephone | string |
None. |
|
| WorkTelephone | string |
None. |
|
| PreferredContactMethod | PearsonEnglish.LearningServices.Core.Models.Enums.StudentPreferredContactMethods |
None. |
|
| PreferredSocialNetworkId | globally unique identifier |
None. |
|
| PreferredSocialNetworkName | string |
None. |
|
| PreferredSocialNetworkAddress | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"UserName": "sample string 1",
"StudentCode": "sample string 2",
"Gender": 0,
"NativeLanguageId": "2156d4cc-da99-429d-9bd0-414fd5a0889d",
"SecondaryLanguageId": "9079ec7b-c555-4c2e-995e-08d9a12cc285",
"PersonalMotivationId": "7b0cef0a-832a-426e-a50c-6f407f946bcb",
"NationalityId": "70734dfe-158f-406c-ab6a-7ad6b1f99bb6",
"ProfessionId": "8dafaca9-be7a-4411-9cdb-1db58d8b486a",
"NativeLanguage": "sample string 3",
"SecondaryLanguage": "sample string 4",
"PersonalMotivation": "sample string 5",
"Nationality": "sample string 6",
"Profession": "sample string 7",
"SocialNetworkId1": "36c21c77-808c-4c40-b0de-97b9eef7081c",
"SocialNetworkId2": "e11ab441-0018-4cf1-99be-c2ae06fda81f",
"SocialNetworkId3": "89a143ba-7b83-4e1d-805e-89820dbcc3f9",
"SocialNetworkId4": "1ab50e76-a043-4587-b1e1-954be826de52",
"ConsultantId": "c8dec52d-7389-4229-a80c-48bf1ea4ef43",
"CenterId": "948ca89f-4486-4eb0-adb1-163261e30a74",
"CenterName": "sample string 8",
"CenterReferenceId": "sample string 9",
"ConsultantFullName": "sample string 10",
"ConsultantPhotoUris": {
"Small": "sample string 1"
},
"LabTeacherId": "cf1d7763-dac0-44ff-aff0-28900d1634ae",
"LabTeacherFullName": "sample string 11",
"LabTeacherPhotoUris": {
"Small": "sample string 1"
},
"IsAycl": true,
"Birthdate": "2026-11-06",
"About_Me": "sample string 13",
"Interest_hobbies": "sample string 14",
"Why_study_english": [
"sample string 1",
"sample string 2"
],
"Study_reason": "sample string 15",
"UserId": "08b16034-e3bf-4e39-8a42-7abd31ce92ea",
"tempisNewStudent": true,
"LastName": "sample string 18",
"FirstName": "sample string 19",
"SsdsId": "sample string 20",
"StudentId": 21,
"PhotoUris": {
"Small": "sample string 1"
},
"SocialNetworkAddress1": "sample string 22",
"SocialNetworkAddress2": "sample string 23",
"SocialNetworkAddress3": "sample string 24",
"SocialNetworkAddress4": "sample string 25",
"SocialNetwork1": "sample string 26",
"SocialNetwork2": "sample string 27",
"SocialNetwork3": "sample string 28",
"SocialNetwork4": "sample string 29",
"Email": "sample string 30",
"MobileTelephone": "sample string 31",
"HomeTelephone": "sample string 32",
"WorkTelephone": "sample string 33",
"PreferredContactMethod": 0,
"PreferredSocialNetworkId": "1e0da3dc-1561-428d-bb8e-9e4667a3d94a",
"PreferredSocialNetworkName": "sample string 34",
"PreferredSocialNetworkAddress": "sample string 35"
}